=== initsystems/openrc/Makefile ===
ifndef top_srcdir
include ../../mk/dirs.mk
endif

INIT_D_FILE=ipsec.init

include $(top_srcdir)/mk/config.mk
include $(top_srcdir)/mk/install.mk
include $(top_srcdir)/mk/install.init.d.mk
include ${top_srcdir}/mk/targets.mk
include ${top_srcdir}/mk/rules.mk
