=== lib/liblswsd/Makefile ===
# Libreswan library

# Copyright (C) 2024  Andrew Cagney
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2 of the License, or (at your
# option) any later version.  See <https://www.gnu.org/licenses/gpl2.txt>.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.

ifndef top_srcdir
include ../../mk/dirs.mk
endif
include $(top_srcdir)/mk/config.mk

LIB = liblswsd.a

OBJS += lswsd_notify.o
OBJS += lswsd_notifyf.o
OBJS += lswsd_watchdog_enabled.o

include $(top_srcdir)/mk/library.mk
