=== debian/changelog ===
libreswan (5.2-2.2ubuntu1) questing; urgency=medium

  * Merge with Debian unstable. (LP: #2119099). Remaining changes:
    - d/tests/control: make opportunistic skippable if builder
      doesn't have access to internet.
    - d/tests/opportunistic: if ping or wget fails then exit 77 to skip
      the test.
  * Dropped Changes:
    - d/tests/control: make cavp skippable if builder
      doesn't have access to internet.
    - d/tests/cavp: if wget fails then exit 77 to skip the test.
  * New Changes:
    - d/p/fix-build-curl-8.14.patch: Fix build of libreswan-5.2 with curl
      8.14.x
    - d/rules: Force ppc64el to build with -O2 to fix FTBFS

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Wed, 30 Jul 2025 15:43:47 +0200

libreswan (5.2-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with INITSYSTEM=systemd on linux.
    Make sure binary package content does not change depending on the
    existence of /run/systemd, which is not guaranteed. (Closes: #1073665)

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 04 May 2025 22:47:23 +0200

libreswan (5.2-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add Build-Depends on systemd-dev.
    The package has a Build-Depends on systemd so INITSYSTEM is correctly set
    to systemd during build. But it also needs the systemd.pc pkg-config file
    (provided by systemd-dev) to determine the install paths for the service
    files. So add a corresponding Build-Depends on systemd-dev.
    (Closes: #1073665)

 -- Michael Biebl <biebl@debian.org>  Wed, 19 Mar 2025 11:53:56 +0100

libreswan (5.2-2) unstable; urgency=medium

  * Release to unstable

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 04 Mar 2025 17:28:53 -0500

libreswan (5.2-1) experimental; urgency=medium

  * New upstream release
  * Drop build-dep on libsystemd-dev
  * d/copyright: update
  * Standards-Version: bump to 4.7.1 (no changes needed)
  * Fail building on platforms where AVA is not supported by NSS

  [ Michael Biebl ]
  * Move aliased files from / to /usr (Closes: #1073665)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 26 Feb 2025 19:06:06 -0500

libreswan (4.15-1) unstable; urgency=medium

  * New upstream release
    - Fixes CVE-2024-3652
  * Standards-Version: bump to 4.7.1 (no changes needed)
  * drop patch already applied upstream
  * drop libsystemd-dev from build-deps

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 26 Feb 2025 19:22:24 -0500

libreswan (4.14-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Move aliased files from / to /usr (DEP17). (Closes: #1073665)

 -- Michael Biebl <biebl@debian.org>  Sun, 15 Sep 2024 23:08:41 +0200
